package net.alxeg.antask.rapc;

public final class JDEBuildEnvironment {
	private static JDEBuildEnvironment defaultInstance;
	private JDEBuildEnvironment() {
		super();
	}
  
	public final static JDEBuildEnvironment getInstance() {
		if (JDEBuildEnvironment.defaultInstance == null) {
			synchronized (JDEBuildEnvironment.class) {
				JDEBuildEnvironment inst = JDEBuildEnvironment.defaultInstance;
				if (inst == null) {
					synchronized (JDEBuildEnvironment.class) {
						inst = new JDEBuildEnvironment();
					}
					JDEBuildEnvironment.defaultInstance = inst;
				}
			}
		}
		return JDEBuildEnvironment.defaultInstance;
	}
  
  private String jdeHome = "";
	public String getJdeHome() {
		return jdeHome;
	}
  public void setJdeHome(String string) {
		jdeHome = string;
	}
  public String getRapcExecutable() {
    String result = "rapc.exe";
    if (!jdeHome.equals("")) {
      result = jdeHome+"\\bin\\"+result;
    }
    return result;
  }
  
  public String getRimLibrary() {
    String result = "net_rim_api.jar";
    if (!jdeHome.equals("")) {
      result = jdeHome+"\\lib\\"+result;
    }
    return result;
  }
  
  private boolean logCmdLine = false;
  public void setLogCmdLine(boolean logCmdLine) {
  	this.logCmdLine = logCmdLine;
  }
  public boolean getLogCmdLine() { 
  	return logCmdLine;
  }

}
