package net.alxeg.antask.rapc;

import java.util.*;
import java.io.*;

public class JDEFile {

	private Hashtable singleParameters;
	private Hashtable multipleParameters;
	
	private String fileName;
	
	public String getFileName() {
		return fileName;
	}

    public JDEFile() {}
	public JDEFile(String fileName) throws FileNotFoundException, IOException {

		this.fileName = fileName;

		singleParameters = new Hashtable();
		multipleParameters = new Hashtable();
		
		FileReader fReader = new FileReader(fileName);
		LineNumberReader lnReader = new LineNumberReader(fReader);

		String curLine = null; boolean multiBegin = false;
		String multiParamName = ""; Vector params = null;

		while( (curLine=lnReader.readLine()) != null ) {
			if (curLine.trim().charAt(0)=='#' || curLine.trim().equals("") )
				continue;
			if (multiBegin) {
				if (curLine.charAt(curLine.length()-1)==']') {
					multiBegin = false;
					multipleParameters.put(multiParamName.trim(), params);
				}
				else {
					if (!curLine.trim().equals(""))
						params.add(curLine.trim());
				}
		  }
		  else {
		  	if (curLine.charAt(0)=='[') {
		  		multiBegin = true;
		  		multiParamName = curLine.substring(1, curLine.length());
		  		params = new Vector();
		  	}
		  	else {
		  		int eqIndex = -1;
		  		if ( (eqIndex=curLine.indexOf('='))!=-1) {
		  			singleParameters.put(
		  					curLine.substring(0, eqIndex).trim(), 
		  					curLine.substring(eqIndex+1, curLine.length()).trim());
		  		}
		  	}
		  }
		}
		fReader.close();
	}
	
	public String getProperty(String name) {
		return (String)singleParameters.get(name);
	}
	
	public Vector getPropertiesVector(String name) {
		return (Vector)multipleParameters.get(name);
	}

	public String[] getPropertiesArray(String name) {
		Vector params = (Vector)multipleParameters.get(name);
		if (params==null) 
			return null;
		String[] result = new String[params.size()];
		System.arraycopy(params.toArray(), 0, result, 0, params.size());
		return result;
	}

}